Skip to main content
POST
/
api
/
v1
/
projects
/
{projectId}
/
environments
/
{id}
/
restore
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/projects/{projectId}/environments/{id}/restore \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://us.infisical.com/api/v1/projects/{projectId}/environments/{id}/restore"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://us.infisical.com/api/v1/projects/{projectId}/environments/{id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "projectId": "<string>",
  "environment": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "slug": "<string>",
    "position": 123,
    "projectId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "deleteAfter": "2023-11-07T05:31:56Z",
    "softDeletedAt": "2023-11-07T05:31:56Z",
    "deletedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "deletedByIdentityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

projectId
string
required

The ID of the project the environment belongs to.

id
string
required

The ID of the soft-deleted environment to restore.

Response

Default Response

message
string
required
projectId
string
required
environment
object
required